darcs

Issue 1599 task: automatically expire unused caches

Title task: automatically expire unused caches
Priority feature Status resolved
Milestone 2.8.0 Resolved in 2.8.0
Superseder Nosy List abuiles, darcs-devel, dmitry.kurochkin, kowey, mornfall, tux_rocker
Assigned To abuiles
Topics Hashed, Performance

Created on 2009-09-07.04:38:21 by kowey, last changed 2010-08-15.18:21:28 by kowey.

Messages
msg8724 (view) Author: kowey Date: 2009-09-07.04:38:14
There are several issues that reference this task, so I'm creating a new ticket
for it.  This is the plan Petr developed over the second darcs hacking sprint,
so I'm assuming he's still on it :-)

* Issues
    * Zooko stale remote - issue1153
    * Meaningless local paths - issue1159
    * Meaningless local paths that are accidentally meaningful (NFS automounter)
- issue1240 

* Plan
 * check for availability of repo root (that we're fetching from), and if not
available
 * remote: ignore the entry for this darcs (we want to keep the entry in case
it's just transient error)

    * "WARNING: can't use <foo> please remove it from _darcs/prefs/sources"

 * local: remove the entry
 * fix unionCaches - optional, but could be nice (issue1159)
 * long term? on timeout: disable all sources from a given host for this darcs
(URL, Ssh [transient])
msg8726 (view) Author: kowey Date: 2009-09-07.04:41:39
Note that the reference to issue1240 here was actually meant to be to issue1210
msg9330 (view) Author: tux_rocker Date: 2009-11-15.17:33:44
I'm stepping in here, as he is already drowning in darcs work.
msg11196 (view) Author: mornfall Date: 2010-06-02.18:44:46
I think this goes with GSoC, sorta-kinda. One way or the other.
msg11835 (view) Author: kowey Date: 2010-07-23.11:14:21
I suggest we bump this so we have time to give it proper testing
msg12190 (view) Author: kowey Date: 2010-08-15.18:19:56
This was resolved by:

Sat Aug  7 01:33:39 BST 2010  builes.adolfo@googlemail.com
  * Resolve issue 1599: automatically expire unused caches

But I think the autoresolver never picked it up because of the space
between issue and the number.  Sorry, I did notice it on review, but bit
my tongue because I was expecting the script to be more flexible.
History
Date User Action Args
2009-09-07 04:38:21koweycreate
2009-09-07 04:41:40koweysetnosy: kowey, darcs-devel, dmitry.kurochkin, mornfall
messages: + msg8726
2009-09-07 04:43:50koweylinkissue1153 superseder
2009-09-07 04:44:02koweysettopic: + Performance
nosy: kowey, darcs-devel, dmitry.kurochkin, mornfall
2009-11-15 17:33:45tux_rockersetnosy: + tux_rocker
messages: + msg9330
assignedto: mornfall -> tux_rocker
2010-03-01 13:22:03koweysettopic: + Target-2.5, - Target-2.4
2010-06-02 18:44:46mornfallsetassignedto: tux_rocker -> abuiles
messages: + msg11196
nosy: + abuiles
2010-06-15 20:52:08adminsetmilestone: 2.5.0
2010-06-15 20:59:44adminsettopic: - Target-2.5
2010-07-23 11:14:22koweysetmessages: + msg11835
milestone: 2.5.0 -> 2.8.0
2010-08-15 18:19:57koweysetstatus: needs-implementation -> resolved
messages: + msg12190
2010-08-15 18:21:28koweysetresolvedin: 2.8.0